<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="refresh" content="130" charset="UTF-8">
    <title>Monitor GitHub WebHook</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="./script.js"></script>
    <link rel="stylesheet" href="./styles.css"/>
</head>
<body>
<div id="header" class="jumbotron text-center">
    <h2>MONITORING GITHUB WEBHOOK</h2>
    <p>DEPT. OF SOFTWARE ENGINEERING, JKU, LINZ</p>
    <p>DEVELOPED BY - MUTHUKUMAR NEELAMEGAM</p>
    <p>ADVISOR - PROF. CHRISTOPH MAYR-DORN</p>
</div>

<div class="container">
    <div class="row">
        <div class="col-sm-4">
            <h3>Monitor - Status</h3></b>
            <p id="monitor_status">Status</p>
        </div>
        <div class="col-sm-4">
            <script>loadRepositoryInfo();</script>
            <h3>Owner</h3>
            <p id="owner"></p>
        </div>
        <div class="col-sm-4">
            <h3>Repository</h3>
            <p id="repository"></p>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-4">
            <b><h3>Repository Id</h3></b>
            <p id="reponumber"></p>
        </div>
        <div class="col-sm-4">
            <b><h3>URL</h3></b>
            <p id="repositoryurl"></p>
        </div>
    </div>
</div>

<hr>

<div class="container-fluid">
    <div class="row">
        <div class="col-sm-4 col-xs-12">
            <div class="panel panel-default text-center">
                <div class="panel-heading1">
                    <h3>Monitor - All Webhook Transaction</h3>
                </div>
                <div class="panel-footer"><script>tableFromJson();</script>
                    <form action="./details.html" method="GET" target="_blank">
                        <input type="hidden" name="Id" value="1">
                        <button type="submit" id="showData" class="btn btn-lg">0</button>
                    </form>
                </div>
            </div>
        </div>
        <div class="col-sm-4 col-xs-12">
            <div class="panel panel-default text-center">
                <div class="panel-heading2">
                    <h3>Monitor - All Issues</h3>
                </div>
                <div class="panel-footer"><script>monitorIssues();</script>
                    <form action="./details.html" method="GET" target="_blank">
                        <input type="hidden" name="Id" value="2">
                        <button type="submit" id="showmonitorAllIssues" class="btn btn-lg">0</button>
                    </form>
                </div>
            </div>
        </div>
        <div class="col-sm-4 col-xs-12">
            <div class="panel panel-default text-center">
                <div class="panel-heading3">
                    <h3>Monitor - All Push Events</h3>
                </div>
                <div class="panel-footer"><script>monitorPush();</script>
                    <form action="./details.html" method="GET" target="_blank">
                        <input type="hidden" name="Id" value="3">
                        <button type="submit" id="showmonitorPush" class="btn btn-lg">0</button>
                    </form>
                </div>
            </div>
        </div>
        <div class="col-sm-4 col-xs-12">
            <div class="panel panel-default text-center">
                <div class="panel-heading4">
                    <h3>Monitor - All Pull Requests</h3>
                </div>
                <div class="panel-footer"><script>monitorPullRequests();</script>
                    <form action="./details.html" method="GET" target="_blank">
                        <input type="hidden" name="Id" value="4">
                        <button type="submit" id="showmonitorPullRequests" class="btn btn-lg">0</button>
                    </form>
                  </div>
            </div>
        </div>
        <div class="col-sm-4 col-xs-12">
            <div class="panel panel-default text-center">
                <div class="panel-heading5">
                    <h3>Monitor - All Commits</h3>
                </div>
                <div class="panel-footer"><script>monitorCommits();</script>
                    <form action="./details.html" method="GET" target="_blank">
                        <input type="hidden" name="Id" value="5">
                        <button type="submit" id="showmonitorCommits" class="btn btn-lg">0</button>
                    </form>

                   <!--
                                   <form action="param-received.html" method="GET">
                   <input type="text" id="foo" name="foo">
                   <input type="submit" value="Send" name="submit" id="submit">
                </form>

                   <a href="./details.html" target="_blank"><button id="showmonitorCommits"
                   class="btn btn-lg">12</button></a>-->
                </div>
            </div>
        </div>
    </div>
</div>

</body>
</html>